| Home | Libraries | People | FAQ | More

## Struct template concept_of

boost::type_erasure::concept_of

## Synopsis

    // In header: <boost/type_erasure/concept_of.hpp>

    template<typename T>
    struct concept_of {
      // types
      typedef unspecified type;
    };

## Description

A metafunction returning the concept corresponding to an any. It will also work for all bases of any, so it can be applied to the `Base` parameter of concept_interface.